name: aitrainer_app
description: Workout Test Mobile Application in Flutter/Dart

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.1.26+106

environment:
  sdk: ">=2.12.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.0
  google_fonts: ^2.1.0
  devicelocale: ^0.5.0
  sentry_flutter: ^6.4.0
  flutter_bloc: ^8.0.1
  equatable: ^2.0.3

  flutter_radar_chart: ^0.2.1
  rainbow_color: ^2.0.1
  percent_indicator: ^4.0.0
  fl_chart: ^0.50.0
  infinite_listview: ^1.1.0
  toggle_switch: ^1.4.0
  keyboard_actions: ^3.4.0
  badges: ^2.0.1
  stop_watch_timer: ^1.3.1
  #location: ^3.2.4
  modal_progress_hud_nsn: ^0.1.0-nullsafety-1
  flutter_html: ^2.0.0
  wakelock: ^0.6.1+2
  timeline_tile: ^2.0.0
  purchases_flutter: ^3.8.0
  package_info: ^2.0.0  
  ezanimation: ^0.6.0
  confetti: ^0.6.0
  crypto: ^3.0.0
  carousel_slider: ^4.0.0
  convex_bottom_bar: ^3.0.0
  flutter_app_badger: ^1.2.0
  extended_tabs: ^2.2.0
  upgrader: ^3.11.0
  web_browser: ^0.5.0
  flutter_fadein: ^2.0.0
  mailto: ^2.0.0
  url_launcher: ^6.0.9
      
  firebase_core: ^1.10.5
  firebase_analytics: ^9.1.2
  firebase_messaging: ^11.2.11
  firebase_auth: ^3.3.3
  firebase_remote_config: ^2.0.2
  firebase_dynamic_links: ^4.1.1
  firebase_in_app_messaging: ^0.6.0+4

  syncfusion_flutter_gauges: ^20.1.47
  syncfusion_flutter_datagrid: ^20.1.47
  syncfusion_flutter_charts: ^20.1.47
  syncfusion_flutter_calendar: ^20.1.47
  syncfusion_localizations: ^20.1.47
  
  flutter_facebook_auth: ^4.1.2
  google_sign_in: ^5.2.4
  sign_in_with_apple: ^3.3.0
      
  flutter_smartlook: ^3.0.9
  #flurry_data: ^0.0.1
  flutter_uxcam: ^2.0.1
  
  animated_widgets: ^1.0.6
  flutter_fancy_tree_view: ^0.5.1+1

  mockito: ^5.0.3
  sqflite: ^2.0.0+3
  flutter_secure_storage: ^5.0.2
  #social_share: ^2.1.1

  flutter_localizations:
    sdk: flutter

#dependency_overrides:
 # flutter_driver:

dev_dependencies:
  test: '>=1.0.0 <2.0.0'
  flutter_test:
    sdk: flutter
  bloc_test: ^9.0.3

  build_runner:

  intl: ^0.17.0
  shared_preferences: ^2.0.5

  flutter_launcher_icons: ^0.9.0

flutter_icons:
  android: "launcher_icon"
  image_path: "asset/icon/icon.png"


# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  fonts:
    - family:  CustomIcon
      fonts:
       - asset: asset/font/CustomIcon.ttf
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
     - asset/data/aitrainer_server.crt.pem
     
     - asset/icon/gomb_kek_a-2.png
     - asset/icon/gomb_kek_b.png
     - asset/icon/gomb_lila_b.png
     - asset/icon/gomb_orange_a.png
     - asset/icon/gomb_orange_c.png
     - asset/icon/gomb_pink_a.png
     - asset/icon/gomb_pink_b.png
     - asset/icon/gomb_zold_b-1.png
     - asset/icon/gomb_zold_a.png
     - asset/icon/gomb_sarga_a.png

     - asset/image/WT_loading_layers.jpg
     - asset/image/WT_menu_backround.jpg
     - asset/image/WT_black_background.jpg
     - asset/image/WT_black_G_background.jpg
     - asset/image/WT_plainblack_background.jpg
     - asset/image/WT_login.jpg
     - asset/image/WT_long_logo.png
     - asset/image/WT_light_background.jpg
     - asset/image/WT_sales_background.jpg
     - asset/image/WT_sales_background_3x5.jpg
     - asset/image/WT_menu_dark.jpg
     - asset/image/WT_welcome.jpg
     - asset/image/WT_Results_for_runners.jpg
     - asset/image/WT_Results_for_female.jpg
     - asset/image/WT_Results_for_men.jpg
     - asset/image/WT_results_background.jpg
     - asset/image/WT_cup_victory400.png
     - asset/image/WT_zold.jpg

     - asset/image/alternatives_arrow.png
     - asset/image/button_fb.png
     - asset/image/button_apple.png
     - asset/image/button_google.png
     - asset/image/continue.png
     - asset/image/drop_set.png
     - asset/image/lock.png
     - asset/image/add_test.png
     - asset/image/testemfejl400x400.jpg
     - asset/image/izomcsop400400.jpg
     - asset/image/edzesnaplom400400.jpg
     - asset/image/endurance.jpg
     - asset/image/exercise_plan_stars.jpg
     - asset/image/exercise_plan_special.jpg
     - asset/image/exercise_plan_execute.jpg
     - asset/image/exercise_plan_custom.jpg
     - asset/image/exercise_plan_suggested.jpg
     - asset/image/explosiveness.jpg
     - asset/image/flexibility.jpg
     - asset/image/predictions.jpg
     - asset/image/man_sizes.png
     - asset/image/gain_muscle.jpg
     - asset/image/gain_strength.jpg
     - asset/image/muscle_endurance.jpg
     - asset/image/shape_forming.jpg     
     - asset/image/sizes_q.jpg  
    
     - asset/image/woman_sizes.png
     - asset/image/weight_loss.jpg
     - asset/image/merleg.png
     - asset/image/haken.png
     - asset/image/kupa.png
     - asset/image/test_picto_m.png
     - asset/image/test_picto_w.png
     - asset/image/pict_1rm.png
     - asset/image/pict_history.png
     - asset/image/pict_calorie.png
     - asset/image/pict_development_by_bodypart_percent.png
     - asset/image/pict_distance_m.png
     - asset/image/pict_fatburn_percent.png
     - asset/image/pict_hravg_bpm.png
     - asset/image/pict_hrmin_bpm.png
     - asset/image/pict_hrmax_bpm.png
     - asset/image/pict_maxspeed_kmh.png
     - asset/image/pict_reps_volumen_db.png
     - asset/image/pict_steps.png
     - asset/image/pict_time_h.png
     - asset/image/pict_hypertrophy.png
     - asset/image/pict_weight_volumen_tonna.png     

     - asset/equipment/equipment_specialshome.jpg
     - asset/equipment/equipment_none.jpg
     - asset/equipment/equipment_cables.jpg
     - asset/equipment/equipment_weightplates.jpg
     - asset/equipment/equipment_kettlebells.jpg
     - asset/equipment/equipment_bands.jpg
     - asset/equipment/equipment_ez-baar_.jpg
     - asset/equipment/equipment_exerciseball.jpg
     - asset/equipment/equipment_strap.jpg
     - asset/equipment/equipment_roll.jpg
     - asset/equipment/equipment_instabils.jpg
     - asset/equipment/equipment_medicine.jpg    
     - asset/equipment/equipment_rope.jpg
     - asset/equipment/equipment_home.jpg
     - asset/equipment/equipment_baar.jpg
     - asset/equipment/equipment_others.jpg
     - asset/equipment/equipment_barbells.jpg
     - asset/equipment/equipment_machine.jpg
     - asset/equipment/equipment_street.jpg
     - asset/equipment/equipment_dumbbells.jpg
     - asset/equipment/equipment_home_place.jpg
     - asset/equipment/equipment_gym_place.jpg
     - asset/equipment/equipment_street_place.jpg
     - asset/equipment/equipment_ankle_weight.jpg
     - asset/equipment/equipment_vest_weight.jpg

     - asset/menu/1.cardio.jpg
     - asset/menu/1.1.aerob.jpg
     - asset/menu/1.2.anaerob.jpg
     - asset/menu/2.strength.jpg
     - asset/menu/2.1.endurance.jpg
     - asset/menu/2.1.4.squats.jpg
     - asset/menu/2.1.6.core.jpg
     - asset/menu/2.1.1.1RM.jpg
     - asset/menu/2.2.1.1.chest.jpg
     - asset/menu/2.2.1.3.biceps.jpg
     - asset/menu/2.2.1.4.triceps.jpg
     - asset/menu/2.2.1.5.shoulders.jpg
     - asset/menu/2.2.1.6.thigh.jpg
     - asset/menu/2.2.1.7.back.jpg
     - asset/menu/2.2.1.8.calf.jpg
     - asset/menu/3.bcs1.jpg
     - asset/menu/300m.jpg
     - asset/menu/400m.jpg
     - asset/menu/FG_1_test.jpg
     - asset/menu/FG_1_training.jpg
     - asset/menu/FG_2_edz.jpg
     - asset/menu/alternate_dumbbell_presses.jpg
     - asset/menu/alternate_standing_shoulder_press.jpg
     - asset/menu/arnold_press.jpg
     - asset/menu/bar_scott.jpg
     - asset/menu/barbell_upright_row.jpg
     - asset/menu/behind_the_neck_lat_pulldown.jpg
     - asset/menu/behind_the_neck_presses.jpg
     - asset/menu/bent_arm_barbell_pullovers.jpg
     - asset/menu/bent_knee_situps.jpg
     - asset/menu/bent_over_lateral_raises_with_dumbbells.jpg
     - asset/menu/bent_over_lateral_raises.jpg
     - asset/menu/bent_over_rows.jpg
     - asset/menu/biceps_machine.jpg
     - asset/menu/bmi.jpg
     - asset/menu/bmr.jpg
     - asset/menu/cable_bent_over_rows.jpg
     - asset/menu/cable_crosses.jpg
     - asset/menu/cable_flyes.jpg
     - asset/menu/cable_rows.jpg
     - asset/menu/chair_leg_raises.jpg
     - asset/menu/chair_pose.jpg
     - asset/menu/chest_press_machine.jpg
     - asset/menu/chest_press.jpg
     - asset/menu/chins.jpg
     - asset/menu/close_grip_bench_press.jpg
     - asset/menu/close_grip_front_lat_pulldown.jpg
     - asset/menu/close_grip_pull_ups.jpg
     - asset/menu/close_reverse_grip_lat_pulldown.jpg
     - asset/menu/close_reverse_grip_pull_ups.jpg
     - asset/menu/concentration.jpg
     - asset/menu/cooper.jpg
     - asset/menu/crisscross.jpg
     - asset/menu/cross_bench_dumbbell_pullover.jpg
     - asset/menu/csigas_tolas_fej_felett.jpg
     - asset/menu/deadlift.jpg
     - asset/menu/decline_bench_press.jpg
     - asset/menu/decline_dumbbell_bench_press.jpg
     - asset/menu/decline_flyes.jpg
     - asset/menu/decline_cable_flyes.jpg
     - asset/menu/decline_pushups.jpg
     - asset/menu/donkey_calf_raises.jpg
     - asset/menu/dumbbell_alternate_bicep_curl.jpg
     - asset/menu/dumbell_bench_presses.jpg
     - asset/menu/dumbbell_presses.jpg
     - asset/menu/ez_bar_burl.jpg
     - asset/menu/flyes.jpg
     - asset/menu/forward_raise.jpg
     - asset/menu/front_rear_lat_pulldown.jpg
     - asset/menu/front_squat.jpg
     - asset/menu/hack_squat.jpg
     - asset/menu/hammer_curl.jpg
     - asset/menu/hanging_leg_raises.jpg
     - asset/menu/head-on-bench_dumbbell_rear_delt_raise.jpg
     - asset/menu/hip_lifts.jpg
     - asset/menu/hyperextension.jpg
     - asset/menu/hyperextension_floor.jpg
     - asset/menu/incline_cable_flyes.jpg
     - asset/menu/incline_curl_with_dumbbels.jpg
     - asset/menu/incline_dumbbell_press.jpg
     - asset/menu/incline_flyes.jpg
     - asset/menu/incline_leg_raises.jpg
     - asset/menu/incline_press.jpg
     - asset/menu/incline_pushups.jpg
     - asset/menu/incline_triceps_extension.jpg
     - asset/menu/inverse_plank_on_ball.jpg
     - asset/menu/knee_push_ups.jpg
     - asset/menu/lateral_raises.jpg
     - asset/menu/leg_abductor.jpg
     - asset/menu/leg_curls.jpg
     - asset/menu/leg_extension.jpg
     - asset/menu/leg_raises_with_lifted_hip.jpg
     - asset/menu/legpress.jpg
     - asset/menu/lower_body_test.jpg
     - asset/menu/lunges_with_dumbbells.jpg
     - asset/menu/lunges.jpg
     - asset/menu/lying_alternating_leg_raises.jpg
     - asset/menu/lying_biceps_cable_curl.jpg
     - asset/menu/lying_curls.jpg
     - asset/menu/lying_leg_raises.jpg
     - asset/menu/lying_rear_delt_raise.jpg
     - asset/menu/lying_scissors.jpg
     - asset/menu/lying_triceps_extension.jpg
     - asset/menu/machine_shoulder_press.jpg
     - asset/menu/machine_test.jpg
     - asset/menu/muscle_strength_q.jpg
     - asset/menu/no_equipment_test.jpg
     - asset/menu/oblique_crunch.jpg
     - asset/menu/olympic_squat.jpg
     - asset/menu/one_arm_row.jpg
     - asset/menu/opened_side_plank.jpg
     - asset/menu/overhead_dumbbell_triceps_extension.jpg
     - asset/menu/own_body.jpg
     - asset/menu/peck_deck_flyes.jpg
     - asset/menu/plank_on_ball.jpg
     - asset/menu/plank.jpg
     - asset/menu/pull_up.jpg
     - asset/menu/pulldown_machine.jpg
     - asset/menu/pulldown_to_neck_machine.jpg
     - asset/menu/pullups.jpg
     - asset/menu/pushups.jpg
     - asset/menu/pushups_dip.jpg
     - asset/menu/reverse_crunches.jpg
     - asset/menu/roman_chair_situps.jpg
     - asset/menu/row_machine.jpg
     - asset/menu/russian_twist.jpg
     - asset/menu/seated_bar_twist.jpg
     - asset/menu/seated_dumbbell_curl.jpg
     - asset/menu/seated_dumbbell_shoulder_press.jpg
     - asset/menu/seated_lateral_raises.jpg
     - asset/menu/seated_leg_curls.jpg
     - asset/menu/seated_triceps_extension.jpg
     - asset/menu/shrugs.jpg
     - asset/menu/side_plank.jpg
     - asset/menu/side_to_side_chop.jpg
     - asset/menu/single_arm_bent_over_cable_reverse_fly.jpg
     - asset/menu/single_arm_t-bar_rows.jpg
     - asset/menu/single_hand_lateral_raises.jpg
     - asset/menu/single_hand_lying_triceps_extension.jpg
     - asset/menu/sitting_knee_ups.jpg
     - asset/menu/sitting_machine_calf_raises.jpg
     - asset/menu/situps.jpg
     - asset/menu/sizes.jpg
     - asset/menu/smith_machine_chest_press.jpg
     - asset/menu/smith_machine_squats.jpg
     - asset/menu/smith_machine_front_press.jpg
     - asset/menu/squats_with_kettlebell.jpg
     - asset/menu/squat_jump_weight.jpg
     - asset/menu/squat_jump.jpg
     - asset/menu/squat_without_weight.jpg
     - asset/menu/squat.jpg
     - asset/menu/standing_barbell_curl.jpg
     - asset/menu/standing_biceps_cable_curl.jpg
     - asset/menu/standing_cable_triceps_extension.jpg
     - asset/menu/standing_calf_machine.jpg
     - asset/menu/standing_face_pull.jpg
     - asset/menu/standing_leg_curls.jpg
     - asset/menu/standing_military_presses.jpg
     - asset/menu/standing_one_arm_cable_curl.jpg
     - asset/menu/standing_side_cable_laterals.jpg
     - asset/menu/standing_single_arm_lateral_raises.jpg
     - asset/menu/standing_triceps_extension.jpg
     - asset/menu/stiff_legged_deadlift.jpg
     - asset/menu/straight_arm_pulldown.jpg
     - asset/menu/straight-arm_rope_pull-down.jpg
     - asset/menu/strength_endurance.jpg
     - asset/menu/stretching.jpg
     - asset/menu/t_bar_rows.jpg
     - asset/menu/test_center.jpg
     - asset/menu/test_on_machines.jpg
     - asset/menu/thigh_adductor.jpg
     - asset/menu/training_plans_menu.jpg
     - asset/menu/training_plans_woman.jpg
     - asset/menu/training_plans_home.jpg
     - asset/menu/training_plans_celebrities.jpg
     - asset/menu/training_plans_beginner.jpg
     - asset/menu/training_plans_advanced.jpg
     - asset/menu/training_plans_strength_gain.jpg
     - asset/menu/training_plans_q_woman.jpg
     - asset/menu/training_plans_q_home.jpg
     - asset/menu/training_plans_q_celebrities.jpg
     - asset/menu/training_plans_q_beginner.jpg
     - asset/menu/training_plans_q_advanced.jpg
     - asset/menu/training_plans_q_gain_strength.jpg
     - asset/menu/training_start.jpg
     - asset/menu/triceps_extension_on_cable_with_rope.jpg
     - asset/menu/triceps_kickback.jpg
     - asset/menu/triceps_pushdown.jpg
     - asset/menu/twisted_crunches.jpg
     - asset/menu/under_body.jpg
     - asset/menu/upper_body_test.jpg
     - asset/menu/upper_body.jpg
     - asset/menu/v_ups.jpg
     - asset/menu/wall_sit.jpg
     - asset/menu/warmup.jpg
     - asset/menu/warrior_stand.jpg
     - asset/menu/weight_free_test.jpg
     - asset/menu/weighted_bench_dip.jpg
     - asset/menu/wide_grip_behind_the_neck_pull_ups.jpg
     - asset/menu/wide_grip_front_lat_pulldown.jpg
     - asset/menu/wide_grip_front_lateral_pulldown.jpg

     - asset/wine-glass.mp3


     - i18n/en.json
     - i18n/hu.json

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
